Bug 23796 - Convert OpacCustomSearch system preference to news block
Summary: Convert OpacCustomSearch system preference to news block
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 22880 24745 22318
Blocks: 26050
  Show dependency treegraph
 
Reported: 2019-10-10 18:39 UTC by Owen Leonard
Modified: 2020-08-03 23:38 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 23796: Convert OpacCustomSearch system preference to news block (8.04 KB, patch)
2020-02-27 18:07 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23796: Convert OpacCustomSearch system preference to news block (8.04 KB, patch)
2020-04-17 13:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23796: Convert OpacCustomSearch system preference to news block (8.08 KB, patch)
2020-04-21 06:19 UTC, David Nind
Details | Diff | Splinter Review
Bug 23796: Convert OpacCustomSearch system preference to news block (8.18 KB, patch)
2020-07-06 22:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-10-10 18:39:52 UTC
Building on 22318, the OpacCustomSearch system preference should be converted to a Koha news block.
Comment 1 Owen Leonard 2020-02-27 18:07:15 UTC Comment hidden (obsolete)
Comment 2 Claudie Trégouët 2020-04-10 13:05:31 UTC
I've tried to apply this patch but I've got an error. I paste what I've got here : 

Bug 23796 - Convert OpacCustomSearch system preference to news block

99711 - Bug 23796: Convert OpacCustomSearch system preference to news block

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 23796: Convert OpacCustomSearch system preference to news block
error: sha1 information is lacking or useless (installer/data/mysql/sysprefs.sql).
error: could not build fake ancestor
Patch failed at 0001 Bug 23796: Convert OpacCustomSearch system preference to news block
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-23796-Convert-OpacCustomSearch-system-preferen-30tSIU.patch
Comment 3 Owen Leonard 2020-04-17 13:27:16 UTC
Created attachment 103160 [details] [review]
Bug 23796: Convert OpacCustomSearch system preference to news block

This patch moves the OpacCustomSearch system preference into the Koha
news system, making it possible to have language- and library-specific
content.

To test you should have some content in the OpacCustomSearch system
preference. Apply the patch and run the database update process.

 - Go to the OPAC and confirm that the content which was previously in
   the OpacCustomSearch system preference now displays correctly where
   it was before.
 - In the staff client, go to Tools -> News and verify that the content
   from OpacCustomSearch is now stored in news items. There should be
   one entry for each of the enabled translations in your system, for
   instance 'OpacCustomSearch_en', 'OpacCustomSearch_fr-FR',
   'OpacCustomSearch_cs-CZ'
 - Go to Administration -> System preferences and confirm that the
   OpacCustomSearch preference has been removed.
Comment 4 David Nind 2020-04-21 06:19:16 UTC
Created attachment 103324 [details] [review]
Bug 23796: Convert OpacCustomSearch system preference to news block

This patch moves the OpacCustomSearch system preference into the Koha
news system, making it possible to have language- and library-specific
content.

To test you should have some content in the OpacCustomSearch system
preference. Apply the patch and run the database update process.

 - Go to the OPAC and confirm that the content which was previously in
   the OpacCustomSearch system preference now displays correctly where
   it was before.
 - In the staff client, go to Tools -> News and verify that the content
   from OpacCustomSearch is now stored in news items. There should be
   one entry for each of the enabled translations in your system, for
   instance 'OpacCustomSearch_en', 'OpacCustomSearch_fr-FR',
   'OpacCustomSearch_cs-CZ'
 - Go to Administration -> System preferences and confirm that the
   OpacCustomSearch preference has been removed.

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Katrin Fischer 2020-07-06 22:52:30 UTC
Created attachment 106620 [details] [review]
Bug 23796: Convert OpacCustomSearch system preference to news block

This patch moves the OpacCustomSearch system preference into the Koha
news system, making it possible to have language- and library-specific
content.

To test you should have some content in the OpacCustomSearch system
preference. Apply the patch and run the database update process.

 - Go to the OPAC and confirm that the content which was previously in
   the OpacCustomSearch system preference now displays correctly where
   it was before.
 - In the staff client, go to Tools -> News and verify that the content
   from OpacCustomSearch is now stored in news items. There should be
   one entry for each of the enabled translations in your system, for
   instance 'OpacCustomSearch_en', 'OpacCustomSearch_fr-FR',
   'OpacCustomSearch_cs-CZ'
 - Go to Administration -> System preferences and confirm that the
   OpacCustomSearch preference has been removed.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2020-07-23 08:28:22 UTC
Owen, what is the purpose of the "blocktitle" param in the TT plugin?
Looks like it's not needed.
Comment 7 Jonathan Druart 2020-07-23 09:49:17 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-07-30 18:29:45 UTC
backported to 20.05.x for 20.05.03
Comment 9 Aleisha Amohia 2020-08-03 23:38:46 UTC
enhancement, not backported to 19.11.x